Skip to main content
GET
/
v1
/
databricks-auth
/
{authorizationId}
Get Databricks Authorization
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "connectionId": "<string>",
  "host": "<string>",
  "port": 123,
  "httpPath": "<string>",
  "clientId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

authorizationId
string
required

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

Data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

connectionId
string

The ID of the Connection this authorization belongs to.

authType
enum<string>

The authentication method to use. Possible values: PAT, OAUTH_M2M.

Available options:
PAT,
OAUTH_M2M
host
string

The Databricks server hostname.

port
integer<int32>

The port number for the Databricks connection. Typically 443.

httpPath
string

The HTTP path for the Databricks SQL warehouse or cluster.

clientId
string

The OAuth client ID for OAUTH_M2M authentication.